# TAOC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/VarOut_T.h"`
`#include "tao/PolicyC.h"`
`#include "tao/TimeBaseC.h"`
`#include "tao/Messaging_SyncScopeC.h"`

Include dependency graph for TAOC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | TAO

## Classes

struct | TAO::BufferingConstraint
interface | TAO::BufferingConstraintPolicy
struct | TAO::Objref_Traits< ::TAO::BufferingConstraintPolicy >

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _TAO_BUFFERINGCONSTRAINTPOLICY__VAR_OUT_CH_
#define | _TAO_BUFFERINGCONSTRAINTPOLICY_CH_
#define | _TAO_BUFFERINGCONSTRAINTPOLICY__TRAITS_

## Typedefs

typedef CORBA::UShort_out | BufferingConstraintMode_out
typedef TAO_Fixed_Var_T< BufferingConstraint > | BufferingConstraint_var
typedef BufferingConstraint & | BufferingConstraint_out
typedef BufferingConstraintPolicy * | BufferingConstraintPolicy_ptr
typedef TAO_Objref_Var_T< BufferingConstraintPolicy > | BufferingConstraintPolicy_var
typedef TAO_Objref_Out_T< BufferingConstraintPolicy > | BufferingConstraintPolicy_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO::BufferingConstraint &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO::BufferingConstraint &)

## Define Documentation

#define _TAO_BUFFERINGCONSTRAINTPOLICY__TRAITS_

#define _TAO_BUFFERINGCONSTRAINTPOLICY__VAR_OUT_CH_

#define _TAO_BUFFERINGCONSTRAINTPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef BufferingConstraint& TAO::BufferingConstraint_out

typedef TAO_Fixed_Var_T< BufferingConstraint > TAO::BufferingConstraint_var

typedef CORBA::UShort_out TAO::BufferingConstraintMode_out

typedef TAO_Objref_Out_T< BufferingConstraintPolicy > TAO::BufferingConstraintPolicy_out

typedef BufferingConstraintPolicy* TAO::BufferingConstraintPolicy_ptr

typedef TAO_Objref_Var_T< BufferingConstraintPolicy > TAO::BufferingConstraintPolicy_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO::BufferingConstraint & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO::BufferingConstraint & |
| ) |